Package org.gradle.api.plugins.scala

## Interface ScalaPluginExtension

-     public interface ScalaPluginExtension

  Common configuration for Scala based projects. This is added by the `ScalaBasePlugin`.
  Since:
    6.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Property<java.lang.String>` | `getZincVersion()` | The version of the Zinc compiler to use for compiling Scala code.

- - ### Method Detail

    - #### getZincVersion

          Property<java.lang.String> getZincVersion()

      The version of the Zinc compiler to use for compiling Scala code.

      Default version is Zinc "1.6.1".

      Gradle supports Zinc from 1.6.0.
      Returns:
        zinc compiler version
      Since:
        6.0